Bug 21118 - Define power management related keys like 'Power'
Define power management related keys like 'Power'
Status: RESOLVED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: DOM3 Events
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Gary Kacmarcik
public-webapps-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-26 07:08 UTC by Masayuki Nakano
Modified: 2013-08-01 08:37 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Masayuki Nakano 2013-02-26 07:08:20 UTC
http://dev.w3.org/2006/webapi/DOM-Level-3-Events/html/DOM3-Events.html#key-values-list

In the key name list, 'Power' is defined. However, some platforms support other power management related keys:

GTK              Qt                   Windows
GDK_Standby      Qt::Key_Standby
GDK_PowerDown    Qt::Key_PowerDown
GDK_PowerOff     Qt::Key_Suspend
GDK_WakeUp       Qt::Key_WakeUp
GDK_Sleep        Qt::Key_Sleep        VK_SLEEP
GDK_LogOff       Qt::Key_LogOff
GDK_Suspend      Qt::Key_Suspend
GDK_Hibernate    Qt::Key_Hibernate

I think that D3E should define key names for them.
Comment 1 Masayuki Nakano 2013-02-27 02:25:35 UTC
My suggestions are:

'Standby' as Device
'PowerDown' as Device
'PowerOff' as Device
'WakeUp' as Device
'Sleep' as Device
'LogOff' as General
'Suspend' as Device
'Hibernate' as Device
Comment 2 Gary Kacmarcik 2013-07-31 13:02:57 UTC
Fixed in latest ED

The following keys were added:
* Standby
* PowerDown
* PowerOff
* WakeUp
* Sleep
* LogOff
* Suspend
* Hibernate

I added a note to PowerOff that we should clarify how this key differs from PowerDown.
Comment 3 Masayuki Nakano 2013-08-01 08:37:56 UTC
https://bugzilla.mozilla.org/show_bug.cgi?id=842927#c93

> XF86keysym.h says PowerDown is to "Deep sleep the system" while PowerOff is to
"Power off system entirely".